<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');

$filtro='';
if ($_GET['filtrotipodoc']=="todos") {
	$_SESSION['filtrotipodoc']="";
} else {
	if ($_GET['filtrotipodoc']<>""){
		$_SESSION['filtrotipodoc']=$_GET['filtrotipodoc'];
	} else {
		if ($_SESSION['filtrotipodoc']<>""){} else {$filtro.=' ';}
	}
}
$ftipodoc=$_SESSION['filtrotipodoc'];
if ($_GET['filtrocliente']=="0") {
	$_SESSION['filtrocliente']="";
} else {
	if ($_GET['filtrocliente']<>""){
		$_SESSION['filtrocliente']=$_GET['filtrocliente'];
		$filtro.=' AND Idcliente="'.$_SESSION['filtrocliente'].'" ';
	} else {
		if ($_SESSION['filtrocliente']<>""){$filtro.=' AND Idcliente="'.$_SESSION['filtrocliente'].'" ';}
	}		
}


if (isset($_GET['modifica']) AND ($_GET['modifica']=='si') AND isset($_GET['Idventa']) AND ($_GET['Idventa']<>'')) {
	if (isset($_GET['name']) AND ($_GET['name']<>'') AND isset($_GET['value']) AND ($_GET['value']<>'')) {
		$updt=$mysqli->query('UPDATE ventas SET '.$_GET['name'].'="'.$_GET['value'].'" WHERE Idventa="'.$_GET['Idventa'].'"');
		$informacion='Dato del insumo '.$_GET['codigo'].' ha sido actualizado';
	}
}
if (isset($_GET['a']) AND ($_GET['a']=='a') AND isset($_GET['Idventa']) AND ($_GET['Idventa']<>'') AND ($admin)) {
	$updt=$mysqli->query('UPDATE ventas SET nula="si" WHERE Idventa="'.$_GET['Idventa'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido anulada';
}
if (isset($_GET['e']) AND ($_GET['e']=='e') AND isset($_GET['Idventa']) AND ($_GET['Idventa']<>'') AND ($admin)) {
	$updt=$mysqli->query('DELETE FROM ventas WHERE Idventa="'.$_GET['Idventa'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido eliminada';
}
if (isset($_GET['r']) AND ($_GET['r']=='r') AND isset($_GET['Idventa']) AND ($_GET['Idventa']<>'') AND ($admin)) {
	$updt=$mysqli->query('UPDATE ventas SET nula="no" WHERE Idventa="'.$_GET['Idventa'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido anulada';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
function cobrar(tipodoc,ndoc,Id,proveedor,valor) {
	document.getElementById('ndoc').innerHTML=ndoc;
	document.getElementById('tipodocumento').innerHTML=tipodoc;
	document.getElementById('nombreproveedor').innerHTML=proveedor;
	document.getElementById('valor').innerHTML='$ '+formatomiles(valor);
	document.getElementById('tipodocumento').innerHTML=tipodoc;
	document.getElementById('total').value=valor;
	document.getElementById('Idventa').value=Id;
	document.getElementById('tipodoc').value=tipodoc;
	document.getElementById('formagrega').style.display='block';	
}
function calculartotal(){
	document.forms.formagrega.totalventa.value=parseInt(document.forms.formagrega.netoventa.value)+parseInt(document.forms.formagrega.impuestoventa.value);
}
function obtenercreditodisponible(Idcliente) {
	document.getElementById('formadepago').innerHTML='';
	document.getElementById('creditodisponible').value='cargando credito disponible...';
	ajax=objetoAjax();
   	ajax.open("POST","ajax/obtenercreditodisponiblecliente.php" , true);
   	ajax.onreadystatechange= function() {
      if (ajax.readyState==4) {
		  if (ajax.responseText!='') {
			creditodisponible=parseInt(ajax.responseText);
			document.getElementById('creditodisponible').innerHTML='$ '+formatomiles(creditodisponible,0);
			if (creditodisponible<1) {
				document.getElementById('formadepago').innerHTML='<select name="formapago"><?php echo $optionformadepago; ?></select>';
			} else {
				document.getElementById('formadepago').innerHTML='<select name="formapago"><?php echo $optionformadepago; ?><option value="credito">credito</option></select>';
			}
		  }
	  }
  }
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    ajax.send("Idcliente="+Idcliente);
}

</script>
<body>
<div class="div_cubierto" id="cubierto" style=" <?php echo ($_GET['i']=='i')? 'display:block' : 'display:none'; ?> " ></div>
<div class="div_cargando" id="cargando"></div>

<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="n_agreganuevo" style=" <?php echo ($_GET['i']=='i')? 'display:block' : 'display:none'; ?>" id="formagrega">
<form name="formagrega" action="funcionesphp/agregarpagocxc.php" method="get">
<input type="hidden" name="sucursal" value="<?php echo $_SESSION['sucursal']; ?>"/>
<input type="hidden" name="Idventa" id="Idventa" value=""/>
<input type="hidden" name="total" id="total" value=""/>
<input type="hidden" name="tipodoc" id="tipodoc" value=""/>
    <div class="bold" id="datoamodificar" style="padding:10px; text-align:center">Ingresar nuevo cobro</div>
    <table cellpadding="0px" cellspacing="0px" width="100%">
    	<tr>
        	<td colspan="2" height="15px"></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Tipo de documento</td>
        	<td id="tipodocumento" ></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Nro. de documento</td>
        	<td id="ndoc" ></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Proveedor</td>
        	<td id="nombreproveedor" ></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Monto a cobrar</td>
        	<td id="valor" ></td>
        </tr>
	   	<tr>
        	<td nowrap="nowrap">Fecha de pago</td>
        	<td ><input type="text" name="dia" value="<?php echo date('d'); ?>" placeholder="dia" class="superangosto"/> / <input type="text" name="mes" value="<?php echo date('m'); ?>" placeholder="mes" class="superangosto"/> / <input type="text" name="anno" placeholder="a&ntilde;o" value="<?php echo date('Y'); ?>" class="angosto"/></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Forma de pago</td>
        	<td ><select name="formapago"><?php echo $optionformadepago; ?></select></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Nro. de cheque</td>
        	<td ><input type="text" name="ncheque" value="0" class="angosto"/></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Banco del cheque</td>
        	<td ><input type="text" name="bancocheque" value="" class="anchomedio"/></td>
        </tr>
    	<tr>
        	<td colspan="2"><div align="center" id="grabarnuevoproducto">
    		<a href="#" onclick="javascript:grabando();document.forms.formagrega.submit();"><img src="iconos/guardar32.png" border="0px" title="grabar cobro"/></a>&nbsp;&nbsp;&nbsp;
    		<a href="#" onclick="javascript:descubrirtodo();document.getElementById('formagrega').style.display='none'"><img src="iconos/cerrar32.png" border="0px" title="salir sin cambios"/></a>
            </div>
            </td>
        </tr>
    	<tr>
        	<td colspan="2" height="15px">
            </td>
        </tr>
    </table>
</form>
</div>

<div class="div_caja_titulo">
	<span class="bold">Informe de cuentas por cobrar al <?php echo afecha(date('Y-m-d')); ?></span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" /></a></span>    
</div>

<div class="centrar_tabla">
<form action="movimientos-cobro-cxc.php" method="get" name="filtrarcliente">
<span class="tipsprint">Se muestran todas las ventas impagas de <select name="filtrocliente" onchange="cargando(); submit();"><option value="0">Todos los clientes</option><?php echo optionclientes($mysqli,$_SESSION['filtrocliente']); ?></select> con <select name="filtrotipodoc" onchange="cargando(); submit();"><?php echo optiontipodocumento($ftipodoc); ?></select></span><br />
</form>
<br />
<?php
if ($ftipodoc=="factura" || $ftipodoc=="") {
?>
<span class="tipsprint">Facturas</span>
	<table>
    <thead>
	   	<tr>
        	<th>Fecha</th>
            <th>Tipo documento</th>
            <th>Nro documento</th>
            <th>Cliente</th>
            <th>Total</th>
            <th>Opciones</th>
        </tr>
     </thead>
     <tbody>
<?php
$salidas=$mysqli->query('SELECT * FROM facturas WHERE pagada="no" '.$filtro.' ORDER BY fecha DESC LIMIT 50');
$row=$salidas->fetch_array();
if ($salidas->num_rows==0) {
?>
	<tr><td colspan="9">No existen facturas por cobrar</td></tr>
<?php
} else { 
do {
	$estecliente=new cliente($mysqli,$row['Idcliente']);
?>
        <tr style="border-top:1px solid #999; <?php echo ($row['nula']=="si")? 'color:#999;':''; ?>">
        	<td><?php echo afecha($row['fecha']); ?></td>
            <td><?php echo 'Factura'; ?></td>
            <td><?php echo $row['Idfactura']; ?></td>
            <td><?php echo $estecliente->rut.' / '.$estecliente->razon; ?></td>
            <td><?php echo '$ '.apesos($row['total']); ?></td>
            <td><a href="#" onclick="cubrirtodo(); cobrar('factura','<?php echo $row['Idfactura']; ?>','<?php echo $row['Idfactura']; ?>','<?php echo $estecliente->razon; ?>','<?php echo $row['total']; ?>');" class="n_link_basico" title="cobrar el documento">cobrar</a></td>
        </tr>
<?php
} while ($row=$salidas->fetch_array());
}
if ($salidas) {
    $salidas->free();
}
?>
	</tbody>
    </table>
<?php 
}
if ($ftipodoc!="factura" || $ftipodoc=="") {
?>
<span class="tipsprint">Otros Documentos</span>
	<table>
    <thead>
	   	<tr>
        	<th>Fecha</th>
            <th>Tipo documento</th>
            <th>Nro documento</th>
            <th>Cliente</th>
            <th>Total</th>
            <th>Opciones</th>
        </tr>
     </thead>
     <tbody>
<?php
if ($ftipodoc!="") {$filtro.=' AND tipodoc="'.$ftipodoc.'" ';}
echo 'SELECT * FROM ventas WHERE tipodoc!="correccion de inventario" AND Idfactura="0" AND pagada="no" '.$filtro.' ORDER BY fecha DESC LIMIT 50';
$salidas=$mysqli->query('SELECT * FROM ventas WHERE tipodoc!="correccion de inventario" AND Idfactura="0" AND pagada="no" '.$filtro.' ORDER BY fecha DESC LIMIT 50');
$row=$salidas->fetch_array();
if ($salidas->num_rows==0) {
?>
	<tr><td colspan="9">No existen otros documentos por cobrar</td></tr>
<?php
} else { 
do {
	$Idventa=$row['Idventa'];
	$estaventa=new venta($mysqli,$Idventa);
	$estecliente=new cliente($mysqli,$row['Idcliente']);
?>
        <tr style="border-top:1px solid #999; <?php echo ($row['nula']=="si")? 'color:#999;':''; ?>">
        	<td><?php echo afecha($estaventa->fecha); ?></td>
            <td><?php echo $estaventa->tipodoc; ?></td>
            <td><?php echo $estaventa->ndoc; ?></td>
            <td><?php echo $estecliente->rut.' / '.$estecliente->razon; ?></td>
            <td><?php echo '$ '.apesos($estaventa->totalventa()); ?></td>
            <td><a href="#" onclick="cubrirtodo(); cobrar('<?php echo $estaventa->tipodoc; ?>','<?php echo $estaventa->ndoc; ?>','<?php echo $row['Idventa']; ?>','<?php echo $estecliente->razon; ?>','<?php echo round($estaventa->totalventa()); ?>');" class="n_link_basico" title="cobrar el documento">cobrar</a></td>
        </tr>
<?php
} while ($row=$salidas->fetch_array());
}
if ($salidas) {
    $salidas->free();
}
?>
	</tbody>
    </table>
<?php } ?>
</div>
</body>
</html>